#pragma once
#include "max.h"
#include "iparamb2.h"
#include "ClassID.h"

namespace Ephere { namespace Plugins { namespace Autodesk { namespace Max { namespace Ornatrix
{

//! Provides functions for manipulating Ornatrix Ground Strands modifier
class GroundStrandsModifierFPInterface : public ::FPMixinInterface
{
public:

	/** Grounds strands at current frame.
		@return true if success
	*/
	virtual BOOL Ground() = 0;

	//! Use this method for retrieving this interface from an instance of a ground strands modifier
	static GroundStrandsModifierFPInterface* GetInterface( ::InterfaceServer* obj )
	{
		return static_cast<GroundStrandsModifierFPInterface*>( obj->GetInterface( ORNAGROUNDSTRANDS_INTERFACE ) );
	}

protected:

	enum Members
	{
		Member_Ground
	};

private:

	BEGIN_FUNCTION_MAP
		FN_0( Member_Ground, TYPE_BOOL, Ground );
	END_FUNCTION_MAP

};

} } } } } // Ephere::Plugins::Autodesk::Max::Ornatrix