#pragma once
#include "max.h"
#include "iparamb2.h"
#include "ClassID.h"

namespace Ephere { namespace Plugins { namespace Autodesk { namespace Max { namespace Ornatrix
{

class HairFromGuidesModifierFPInterface: public ::FPMixinInterface
{
public:

	//! Invalidates current cache and forces a full root regeneration next time it is requested
	virtual void InvalidateCache() = 0;

	//! Enters 3dsmax into "Create Partings" mode to allow user to start creating partings
	virtual void CreatePartings() = 0;

	//! Deletes selected partings if currently in parting sub-object mode
	virtual void DeleteSelParts() = 0;

	//! Use this method for retrieving this interface from an instance of a surface comb modifier
	static HairFromGuidesModifierFPInterface* GetInterface( ::InterfaceServer* obj )
	{
		return static_cast<HairFromGuidesModifierFPInterface*>( obj->GetInterface( ORNAGHAIRGEN_INTERFACE ) );
	}

protected:

	enum Member
	{
		Method_InvalidateCache,
		Method_CreatePartings,
		Method_DeleteSelectedPartings
	};

private:

	BEGIN_FUNCTION_MAP 
		VFN_0( Method_InvalidateCache, InvalidateCache );
		VFN_0( Method_CreatePartings, CreatePartings );
		VFN_0( Method_DeleteSelectedPartings, DeleteSelParts );
	END_FUNCTION_MAP
	
};

} } } } } // Ephere::Plugins::Autodesk::Max::Ornatrix