#pragma once
#include "max.h"
#include "iparamb2.h"
#include "ClassID.h"

namespace Ephere { namespace Plugins { namespace Autodesk { namespace Max { namespace Ornatrix
{

//! Provides functions for manipulating Ornatrix Surface Comb modifier
class HairShellsModifierFPInterface : public ::FPMixinInterface
{
public:

	/** Add Shell to the list.
		@param node Shell object
		@return true if success
	*/
	virtual BOOL AddShell( INode* node ) = 0;

	/** Remove Shell from the list.
		@param index of the object from the list
		@return true if success
	*/
	virtual BOOL RemoveShell( int index ) = 0;

	//! Use this method for retrieving this interface from an instance of a hair shells modifier
	static HairShellsModifierFPInterface* GetInterface( ::InterfaceServer* obj )
	{
		return static_cast<HairShellsModifierFPInterface*>( obj->GetInterface( ORNAHAIRSHELLS_INTERFACE ) );
	}

protected:

	enum Members
	{
		Member_AddShell,
		Member_RemoveShell,
	};

private:

	BEGIN_FUNCTION_MAP
		FN_1( Member_AddShell, TYPE_BOOL, AddShell, TYPE_INODE );
		FN_1( Member_RemoveShell, TYPE_BOOL, RemoveShell, TYPE_INT );
	END_FUNCTION_MAP

};

} } } } } // Ephere::Plugins::Autodesk::Max::Ornatrix