#pragma once

#define I_USERINTERFACE 0x0000ffff

namespace Ephere { namespace Plugins { namespace Autodesk { namespace Max { namespace Ornatrix
{

enum
{
	//! Interface ID to use with a 3dsmax Animatable::GetInterface( ULONG ) method to get a pointer to IHairRenderingPropertiesContainer
	IHairRenderingPropertiesContainerInterfaceID = I_USERINTERFACE + 4415
};

// forward declares:
class IHairRenderingProperties;

//! Interface to a class containing IHairRenderingProperties
class IHairRenderingPropertiesContainer
{
public:

	//! Gets hair rendering properties for specified strand group index, or the default rendering properties if strandGroupIndex is unsigned short( -1 )
	virtual const IHairRenderingProperties& HairRenderingProperties( unsigned short strandGroupIndex = 0 ) const = 0;

	//! Gets hair rendering properties for specified strand group index, or the default rendering properties if strandGroupIndex is unsigned short( -1 )
	inline IHairRenderingProperties& HairRenderingProperties( unsigned short strandGroupIndex = 0 )
	{
		return const_cast<IHairRenderingProperties&>( static_cast<const IHairRenderingPropertiesContainer&>( *this ).HairRenderingProperties( strandGroupIndex ) );
	}
	
};

} } } } } // Ephere::Plugins::Autodesk::Max::Ornatrix