#pragma once

#include <point3.h>

namespace Ephere { namespace Plugins { namespace Autodesk { namespace Max { namespace Ornatrix
{

/** Surface dependency:
* This class is optional for hair but mandatory to guides. It is required to update root position based
* on the deforming surface, to get correct UVW coordinates, and surface normal to generate rootTM
*/
struct SurfaceDependency
{
public:
	SurfaceDependency():
		group( 0 ),
		face( unsigned( -1 ) ),
		barycentricCoordinate( ::Point3::Origin )
	{
	}

	//! Strand group index (if propagation is used)
	unsigned short group;

	//! Index into mesh face list
	unsigned face;

	//! Barycentric coordinates of this root on face
	::Point3 barycentricCoordinate;
};

} } } } } // Ephere::Plugins::Autodesk::Max::Ornatrix